// $Id: Info.h 9767 2010-12-10 13:52:37Z bk $
/*
 * Copyright 2013 Napatech A/S. All Rights Reserved.
 * 
 *   The source code contained or described herein and all documents
 *   related to the source code ("Material") are owned by Napatech
 *   A/S or its suppliers or licensors.  Title to the Material
 *   remains with Napatech Inc. or its suppliers and licensors. The
 *   software is licensed under the Napatech A/S SCLA License.
 * 
 *   Unless otherwise agreed by Napatech A/S in writing, you may
 *   not remove or alter this notice or any other notice embedded
 *   in Materials by Napatech A/S or Napatech's suppliers or
 *   licensors in any way.
 */

/**
 * @file
 * info.c header file
 */

#ifndef _INFO_H_
#define _INFO_H_
uint32_t GetNtProductInfo(uint8_t card);
uint32_t _GetProductInfo(void *arglist);

uint32_t GetAdapterInfo(uint8_t card);
uint32_t _GetAdapterInfo(void *arglist);

uint32_t GetDriverInfo(uint8_t card);
uint32_t _GetDriverInfo(void *arglist);

uint32_t GetSensorInfo(uint8_t card);
uint32_t _GetSensorInfo(void *arglist);

uint32_t GetCapabilities(uint8_t card);
uint32_t _GetCapabilities(void *arglist);

uint32_t _GetHWMonInfo(void *arglist);
uint32_t _GetTimeSyncInfo(void *arglist);

#endif /* _INFO_H_  */
