// $Id: napaversions.h 25660 2013-09-20 08:41:56Z mh $
/*
* Copyright 2013 Napatech A/S. All Rights Reserved.
* 
*   The source code contained or described herein and all documents
*   related to the source code ("Material") are owned by Napatech
*   A/S or its suppliers or licensors.  Title to the Material
*   remains with Napatech Inc. or its suppliers and licensors. The
*   software is licensed under the Napatech A/S SCLA License.
* 
*   Unless otherwise agreed by Napatech A/S in writing, you may
*   not remove or alter this notice or any other notice embedded
*   in Materials by Napatech A/S or Napatech's suppliers or
*   licensors in any way.
*/

/**
* @file
* This file implements the napatech release version definition.
*/

#ifndef _NAPAVERSIONS_H_
#define _NAPAVERSIONS_H_

#undef vFV1
#undef vFV2
#undef vFV3
#undef vFV4
#undef PROTOCOL_MAJOR
#undef PROTOCOL_MINOR
#undef PROTOCOL_FEATURE
#undef PROTOCOL_BUILD
#undef DRIVER_MAJOR
#undef DRIVER_MINOR
#undef DRIVER_FEATURE
#undef DRIVER_BUILD

#define vFV1            (22)
#define vFV2            (26)
#define vFV3            (0)
#define vFV4            (0)

/* Protocol stack versions. */
#define PROTOCOL_MAJOR     (4)
#define PROTOCOL_MINOR     (26)
#define PROTOCOL_FEATURE   (0)
#define PROTOCOL_BUILD     (0)

/* NT Library (driver) version */
#define DRIVER_MAJOR     (4)
#define DRIVER_MINOR     (26)
#define DRIVER_FEATURE   (0)
#define DRIVER_BUILD     (0)

#define RELEASE_PACKAGE_NAME "nt_driver_linux_4.26.A"
#define RELEASE_PACKAGE_TIMESTAMP "2013-09-20-10-40-19"

#define APPLICATIONS_PACKAGE_NAME "nt_applications_windows_2.6.A"
#define APPLICATIONS_PACKAGE_TIMESTAMP "2013-09-19-15-05-35"

#define TOOLS_PACKAGE_NAME "nt_tools_windows_1.8.A"
#define TOOLS_PACKAGE_TIMESTAMP "2013-09-19-15-03-54"

#define SDK_PACKAGE_NAME "nt_sdk_linux_2.0.A"
#define SDK_PACKAGE_TIMESTAMP "2008-02-27-15-27-21"

#endif /* _NAPAVERSIONS_H */
