#ifndef NT_LEGACY_4_25

#ifndef DEPRECATED_4_25
#warning: This file was part of a Xyratex specific framework and has been retired.
#warning: It is not and has never been required for Napatech Adapter operations.
#warning: Please remove this file from your project and recompile.
#warning: See file /include/xyratex_retired_readme.txt for more information.
#endif

#else //NT_LEGACY_4_25
#ifndef INCLUDED_PACKETCLASSIFICATIONUTILITIES_H
#define INCLUDED_PACKETCLASSIFICATIONUTILITIES_H
#include <basetype.h>
#include <commontypes.h>

#include "ntpackpush.h"

#include <capabilitiesstructure.h>

#ifdef __cplusplus 
extern "C" {
#endif

#define CLASSIFICATION_CAPS_IS_COMPONENT_SUPPORTED(pClassificationCaps__, componentType__) \
    (((uint64_t)1 << GET_STRUCTURE_TYPE(componentType__)) & \
     (pClassificationCaps__)->supportedComponentTypes)

#define CLASSIFICATION_CAPS_IS_ACTION_SUPPORTED(pClassificationCaps__, actionType__) \
    (((uint64_t)1 << (GET_STRUCTURE_TYPE(actionType__) - 64)) & \
     (pClassificationCaps__)->supportedActionTypes)

#define CLASSIFICATION_CAPS_IS_ENTRY_SUPPORTED(pClassificationCaps__, componentType__) \
    (((uint64_t)1 << GET_STRUCTURE_TYPE(componentType__)) & \
     (pClassificationCaps__)->supportedSignatureMatchTypes)

#define CLASSIFICATION_CAPS_IS_ENTRY_ACTION_SUPPORTED(pClassificationCaps__, actionType__) \
    (((uint64_t)1 << (GET_STRUCTURE_TYPE(actionType__) - 64)) & \
     (pClassificationCaps__)->supportedSignatureMatchActionTypes)


/* The following Macros are for Kernel Code developmemt only */
#define ADD_SUPPORTED_COMPONENT_TYPE(pClassificationCaps__, componentType__) \
    ((pClassificationCaps__)->supportedComponentTypes |= \
     ((uint64_t)1 << GET_STRUCTURE_TYPE(componentType__)))
    
#define ADD_SUPPORTED_ACTION_TYPE(pClassificationCaps__, actionType__) \
    ((pClassificationCaps__)->supportedActionTypes |= \
     ((uint64_t)1 << (GET_STRUCTURE_TYPE(actionType__) - 64)))

#define ADD_SUPPORTED_ENTRY_TYPE(pClassificationCaps__, componentType__) \
    ((pClassificationCaps__)->supportedSignatureMatchTypes |= \
     ((uint64_t)1 << GET_STRUCTURE_TYPE(componentType__)))
    
#define ADD_SUPPORTED_ENTRY_ACTION_TYPE(pClassificationCaps__, actionType__) \
    ((pClassificationCaps__)->supportedSignatureMatchActionTypes |= \
     ((uint64_t)1 << (GET_STRUCTURE_TYPE(actionType__) - 64)))
    
#ifdef __cplusplus 
}
#endif

#include "ntpackpop.h"

#endif /* INCLUDED_PACKETCLASSIFICATIONUTILITIES_H */

#endif //NT_LEGACY_4_25
