#ifndef _INCLUDE_PCAP_NAPATECH_3G_H
#define _INCLUDE_PCAP_NAPATECH_3G_H

#include "pcap.h"

/* napatech3G_pcap_findalldevs
 *
 * Populate device list with napatech devices. Create the list from the
 * device names returned by NTCI_Get....Device. 
 *
 * Parameters
 * alldevsp - list to put devices in
 * errbuf   - error reporting buffer
 * Returns 0 on success, -1 on failure
 */
int napatech3G_platform_finddevs( pcap_if_t **devlistp, char *errbuf );


pcap_t *napatech3G_create(const char *device, char *ebuf, int *is_ours);



#endif /* _INCLUDE_PCAP_NAPATECH_3g_H */
