// $Id: NTCI_vpdaccess.h 16051 2011-11-30 12:20:27Z ps $
/*
 * Copyright 2013 Napatech A/S. All Rights Reserved.
 * 
 *   The source code contained or described herein and all documents
 *   related to the source code ("Material") are owned by Napatech
 *   A/S or its suppliers or licensors.  Title to the Material
 *   remains with Napatech Inc. or its suppliers and licensors. The
 *   software is licensed under the Napatech A/S SCLA License.
 * 
 *   Unless otherwise agreed by Napatech A/S in writing, you may
 *   not remove or alter this notice or any other notice embedded
 *   in Materials by Napatech A/S or Napatech's suppliers or
 *   licensors in any way.
 */

/**
 * @file
 * C functions to access the driver interface VitalProductData Access.
 */

#ifndef __NTCI_VPDACCESS_H__
#define __NTCI_VPDACCESS_H__

#include "NTCommonInterface.h"

NTCOMMONLIB uint32_t NTCOMMONCALL NTCI_ReadVitalProductData(IN  handle_t    hCard,
                                                            IN  uint32_t    vpdDeviceId,
                                                            IN  StructureID structid,
                                                            OUT void *      pVPD);

NTCOMMONLIB uint32_t NTCOMMONCALL NTCI_WriteVitalProductData(IN handle_t    hCard,
                                                            IN  uint32_t    vpdDeviceId,
                                                            IN  StructureID structid,
                                                            IN void *       pVPD);

#endif // __NTCI_VPDACCESS_H__
