// $Id: NTCommonStructures.h 16051 2011-11-30 12:20:27Z ps $
/*
 * Copyright 2013 Napatech A/S. All Rights Reserved.
 * 
 *   The source code contained or described herein and all documents
 *   related to the source code ("Material") are owned by Napatech
 *   A/S or its suppliers or licensors.  Title to the Material
 *   remains with Napatech Inc. or its suppliers and licensors. The
 *   software is licensed under the Napatech A/S SCLA License.
 * 
 *   Unless otherwise agreed by Napatech A/S in writing, you may
 *   not remove or alter this notice or any other notice embedded
 *   in Materials by Napatech A/S or Napatech's suppliers or
 *   licensors in any way.
 */

/**
 * @file
 * Common structures.
 */

#ifndef __NTAPI_NTCOMMONSTRUCTURES_H__
#define __NTAPI_NTCOMMONSTRUCTURES_H__

#include <ostype.h>
#include "basetype.h"

#if _NT_OS_TYPE==_NT_OS_TYPE_LINUX
#define NTCOMMONLIB
#define NTCOMMONCALL
#elif _NT_OS_TYPE==_NT_OS_TYPE_FREEBSD
#define NTCOMMONLIB
#define NTCOMMONCALL
#elif defined(WIN32)
#define NTCOMMONLIB
#define NTCOMMONCALL
#else
#ifdef NTCOMMONSTRUCTURES_EXPORTS
#define NTCOMMONLIB __declspec(dllexport)
#else
#define NTCOMMONLIB __declspec(dllimport)
#endif
#define NTCOMMONCALL __stdcall
#endif

#ifndef IN
#define IN
#endif

#ifndef OUT
#define OUT
#endif

#endif // __NTAPI_NTCOMMONSTRUCTURES_H__
