// $Id: portbypassmodes.h 16051 2011-11-30 12:20:27Z ps $
/*
 * Copyright 2013 Napatech A/S. All Rights Reserved.
 * 
 *   The source code contained or described herein and all documents
 *   related to the source code ("Material") are owned by Napatech
 *   A/S or its suppliers or licensors.  Title to the Material
 *   remains with Napatech Inc. or its suppliers and licensors. The
 *   software is licensed under the Napatech A/S SCLA License.
 * 
 *   Unless otherwise agreed by Napatech A/S in writing, you may
 *   not remove or alter this notice or any other notice embedded
 *   in Materials by Napatech A/S or Napatech's suppliers or
 *   licensors in any way.
 */

/**
 * @file
 * Modes available for portbypass control
 */

#ifndef __NTAPI_PORTBYPASSMODES_H__
#define __NTAPI_PORTBYPASSMODES_H__

enum PORT_BYPASS_MODES
{
	PORT_BYPASS_MODE_DUAL_MONITOR = 0,		/* Legacy, use PORT_BYPASS_MODE_MONITOR going forward*/
	PORT_BYPASS_MODE_MONITOR = 0,
	PORT_BYPASS_MODE_DUAL_END_STATION = 1,	/* Legacy, use PORT_BYPASS_MODE_END_STATION going forward*/
	PORT_BYPASS_MODE_END_STATION = 1,
	PORT_BYPASS_MODE_TG_MONITOR,		/* Reserved for engineering use */
	PORT_BYPASS_MODE_LOOPBACK_VIA_PBC,  /* Reserved for engineering use */
	PORT_BYPASS_MODE_UNKNOWN	/* this is not a setting just a state, should only ever be in this state manufacture */
};

#endif // __NTAPI_PORTBYPASSMODES_H__
