#ifndef NT_LEGACY_4_25


#ifndef DEPRECATED_4_25
#warning: This file was part of a Xyratex specific framework and has been retired.
#warning: It is not and has never been required for Napatech Adapter operations.
#warning: Please remove this file from your project and recompile.
#warning: See file /include/xyratex_retired_readme.txt for more information.
#endif

#else //NT_LEGACY_4_25
#ifndef _NTCI_FUNCTIONS_H_
#define _NTCI_FUNCTIONS_H_

#ifdef XYCI_API_USAGE
#define NTCI_OpenCard XYCI_OpenCard 
#define NTCI_CloseCard XYCI_CloseCard
#define NTCI_CardIdentification XYCI_CardIdentification
#define NTCI_GetStatistics XYCI_GetStatistics
#define NTCI_SetStatisticsOptions XYCI_SetStatisticsOptions
#define NTCI_ResetStatistics XYCI_ResetStatistics
#define NTCI_GetCardConfigurationDetails XYCI_GetCardConfigurationDetails
#define NTCI_SetCardConfigurationDetails XYCI_SetCardConfigurationDetails
#define NTCI_ReadVitalProductData XYCI_ReadVitalProductData
#define NTCI_WriteVitalProductData XYCI_WriteVitalProductData
#define NTCI_GetPacketFeedCount XYCI_GetPacketFeedCount
#define NTCI_GetPacketFeedDescription XYCI_GetPacketFeedDescription
#define NTCI_DestroyPacketFeed XYCI_DestroyPacketFeed
#define NTCI_SetupPacketFeedEngine XYCI_SetupPacketFeedEngine
#define NTCI_StartPacketFeed XYCI_StartPacketFeed
#define NTCI_StopPacketFeed XYCI_StopPacketFeed
#define NTCI_GetPacketFeedBuffers XYCI_GetPacketFeedBuffers
#define NTCI_CreatePacketFeed XYCI_CreatePacketFeed
#define NTCI_GetPacketFeedBuffers XYCI_GetPacketFeedBuffers
#define NTCI_GetNextBuffer XYCI_GetNextBuffer
#define NTCI_ReleaseBuffer XYCI_ReleaseBuffer
#define NTCI_GetCapabilities XYCI_GetCapabilities
#define NTCI_SetAutonegotiationMode XYCI_SetAutonegotiationMode
#define NTCI_GetAutonegotiationMode XYCI_GetAutonegotiationMode
#define NTCI_GetChannelStatus XYCI_GetChannelStatus
#define NTCI_GetChannelsLinkStatus XYCI_GetChannelsLinkStatus
#define NTCI_GetTimestampConfiguration XYCI_GetTimestampConfiguration
#define NTCI_SetTimestampConfiguration XYCI_SetTimestampConfiguration
#define NTCI_GetVersionInfo XYCI_GetVersionInfo
#define NTCI_CloseDeviceDriver XYCI_CloseDeviceDriver
#define NTCI_CloseAllCards XYCI_CloseAllCards
#define NTCI_GetManagerLastError XYCI_GetManagerLastError
#define NTCI_GetLastError XYCI_GetLastError
#define NTCI_ExplainLastManagerError XYCI_ExplainLastManagerError
#define NTCI_ExplainLastCardError XYCI_ExplainLastCardError
#define NTCI_GetManagerLastLowLevelError XYCI_GetManagerLastLowLevelError
#define NTCI_GetLastLowLevelDriverError XYCI_GetLastLowLevelDriverError
#define NTCI_GetCardLastError XYCI_GetCardLastError
#define NTCI_GetCardLastLowLevelError XYCI_GetCardLastLowLevelError
#define NTCI_GetAbstractDeviceDriver XYCI_GetAbstractDeviceDriver
#define NTCI_GetDeviceName XYCI_GetDeviceName
#define NTCI_GetConnectionName XYCI_GetConnectionName
#define NTCI_GetConnectionGuid XYCI_GetConnectionGuid
#define NTCI_GetServiceName XYCI_GetServiceName
#define NTCI_GetPCISlotBusDeviceFunction XYCI_GetPCISlotBusDeviceFunction
#define NTCI_ProgramDevice XYCI_ProgramDevice
#define NTCI_ReadRegister8 XYCI_ReadRegister8
#define NTCI_WriteRegister8 XYCI_WriteRegister8
#define NTCI_ReadRegister16 XYCI_ReadRegister16
#define NTCI_WriteRegister16 XYCI_WriteRegister16
#define NTCI_ReadRegister XYCI_ReadRegister
#define NTCI_WriteRegister XYCI_WriteRegister
#define NTCI_ReadRegister32 XYCI_ReadRegister32
#define NTCI_WriteRegister32 XYCI_WriteRegister32
#define NTCI_ReadRegister64 XYCI_ReadRegister64
#define NTCI_WriteRegister64 XYCI_WriteRegister64
#define NTCI_GetSensorsBlockSize XYCI_GetSensorsBlockSize
#define NTCI_GetSensors XYCI_GetSensors
#define NTCI_SetSensors XYCI_SetSensors
#define NTCI_Memory XYCI_Memory

/* Unsupported functions by NT series. */
#define NTCI_OpenDeviceDriver XYCI_OpenDeviceDriver
#define NTCI_GetCardHandle XYCI_GetCardHandle
#define NTCI_GetDeviceHandle XYCI_GetDeviceHandle
#define NTCI_GetPacketFeedStatus XYCI_GetPacketFeedStatus
#define NTCI_GetIndividualStatistics XYCI_GetIndividualStatistics
#define NTCI_WriteNetworkInterfaceModuleData XYCI_WriteNetworkInterfaceModuleData
#define NTCI_ReadNetworkInterfaceModuleData XYCI_ReadNetworkInterfaceModuleData
#define NTCI_ReadProm XYCI_ReadProm
#define NTCI_WriteProm XYCI_WriteProm
#define NTCI_SetPortBypassMode XYCI_SetPortBypassMode
#define NTCI_GetPortBypassMode XYCI_GetPortBypassMode
#define NTCI_EnableAsyncEvents XYCI_EnableAsyncEvents
#define NTCI_GetAsyncEvent XYCI_GetAsyncEvent
#define NTCI_RegisterAsyncEventRecipient XYCI_RegisterAsyncEventRecipient
#define NTCI_UnregisterAsyncEventRecipient XYCI_UnregisterAsyncEventRecipient
#define NTCI_SimulateEvent XYCI_SimulateEvent
#define NTCI_ManualEventRead XYCI_ManualEventRead
#define NTCI_GetAsyncEventCallback XYCI_GetAsyncEventCallback
#define NTCI_SetAsyncEventCallback XYCI_SetAsyncEventCallback
#define NTCI_GetRegisterBlockInformation XYCI_GetRegisterBlockInformation
#define NTCI_ReadRegister XYCI_ReadRegister
#define NTCI_WriteRegister XYCI_WriteRegister
#define NTCI_SendPacket XYCI_SendPacket
#define NTCI_DiagnosticDump XYCI_DiagnosticDump
#define NTCI_GetDirectBuffer XYCI_GetDirectBuffer
#define NTCI_SwitchRMONBuffer XYCI_SwitchRMONBuffer
#define NTCI_ReleaseDirectBuffer XYCI_ReleaseDirectBuffer
#define NTCI_TransferBufferSection XYCI_TransferBufferSection
#define NTCI_SetDebugLevel XYCI_SetDebugLevel
#define NTCI_EnableDebug XYCI_EnableDebug
#define NTCI_MakeExtendedCommand XYCI_MakeExtendedCommand
#define NTCI_ExecuteSubCommand XYCI_ExecuteSubCommand
#define NTCI_DestroyCommand XYCI_DestroyCommand
#define NTCI_TestCardForInterface XYCI_TestCardForInterface
#define NTCI_SetFilterDefinitions XYCI_SetFilterDefinitions
#define NTCI_SetIndividualFilter XYCI_SetIndividualFilter
#define NTCI_CombineIndividualFilters XYCI_CombineIndividualFilters
#define NTCI_ClearIndividualFilter XYCI_ClearIndividualFilter
#define NTCI_ReadMemory XYCI_ReadMemory
#define NTCI_WriteMemory XYCI_WriteMemory
#define NTCI_GetMemoryBufferInfo XYCI_GetMemoryBufferInfo
#define NTCI_GetNdisPacketCount XYCI_GetNdisPacketCount
#define NTCI_ResetNdisPacketCount XYCI_ResetNdisPacketCount
#define NTCI_SetNdisPromiscuousMode XYCI_SetNdisPromiscuousMode

#define NTCI_CreateExpression XYCI_CreateExpression
#define NTCI_CombineExpression XYCI_CombineExpression
#define NTCI_DestroyExpression XYCI_DestroyExpression
#define NTCI_CreateFunction XYCI_CreateFunction
#define NTCI_CombineFunction XYCI_CombineFunction
#define NTCI_DestroyFunction XYCI_DestroyFunction
#define NTCI_AssignFunctionResources XYCI_AssignFunctionResources
#define NTCI_ReleaseFunctionResources XYCI_ReleaseFunctionResources
#define NTCI_EnableFunction XYCI_EnableFunction
#define NTCI_DisableFunction XYCI_DisableFunction
#define NTCI_AddSignatureMatchEntry XYCI_AddSignatureMatchEntry
#define NTCI_RemoveSignatureMatchEntry XYCI_RemoveSignatureMatchEntry
#define NTCI_DestroyAllClassificationEntries XYCI_DestroyAllClassificationEntries
#endif /* XYCI_API_USAGE */

#endif /* _NTCI_FUNCTIONS_H_ */
#endif //NT_LEGACY_4_25

