#ifndef NT_LEGACY_4_25

#ifndef DEPRECATED_4_25
#warning: This file was part of a Xyratex specific framework and has been retired.
#warning: It is not and has never been required for Napatech Adapter operations.
#warning: Please remove this file from your project and recompile.
#warning: See file /include/xyratex_retired_readme.txt for more information.
#endif

#else //NT_LEGACY_4_25
#ifndef _OSW_TYPES_H_
#define _OSW_TYPES_H_


#include <ostype.h>
#include <basetype.h>


#if ! defined( TRUE )
#define TRUE		1
#endif

#if ! defined( FALSE )
#define FALSE		0
#endif


#if _NT_OS_TYPE==_NT_OS_TYPE_NDIS

#define OSW_CONST64(__val) __val##i64
typedef uint32_t	OSW_STATUS;

#elif _NT_OS_TYPE==_NT_OS_TYPE_LINUX

#define OSW_CONST64(__val) __val##ULL
#ifdef _NT_DRIVER
typedef uint32_t 	OSW_STATUS;
#else
typedef int32_t 	OSW_STATUS;
#endif

#elif _NT_OS_TYPE==_NT_OS_TYPE_FREEBSD

#define OSW_CONST64(__val) __val##ULL
typedef uint32_t 	OSW_STATUS;

#elif _NT_OS_TYPE==_NT_OS_TYPE_WIN

#define OSW_CONST64(__val) __val##i64
typedef uint32_t	OSW_STATUS;

#endif



typedef struct _OSW_Time { 
    uint16_t Year;
    uint16_t Month;
    uint16_t Day;
    uint16_t Hour;
    uint16_t Minute;
    uint16_t Second;
} OSW_Time_t; 

#endif	/* _OSW_TYPES_H_ */
#endif //NT_LEGACY_4_25
