// $Id: CardStatus.h 4436 2009-02-23 11:42:11Z ps $
/*
 * Copyright 2013 Napatech A/S. All Rights Reserved.
 * 
 *   The source code contained or described herein and all documents
 *   related to the source code ("Material") are owned by Napatech
 *   A/S or its suppliers or licensors.  Title to the Material
 *   remains with Napatech Inc. or its suppliers and licensors. The
 *   software is licensed under the Napatech A/S SCLA License.
 * 
 *   Unless otherwise agreed by Napatech A/S in writing, you may
 *   not remove or alter this notice or any other notice embedded
 *   in Materials by Napatech A/S or Napatech's suppliers or
 *   licensors in any way.
 */

/**
 * @file
 * CardStatus.c header file
 */

#ifndef _CARDSTATUS_H_
#define _CARDSTATUS_H_

uint32_t GetChannelLinkStatus(uint8_t card);
uint32_t _GetChannelLinkStatus(void *arglist);

uint32_t GetChannelStatus(uint8_t card, uint32_t channelMask);
uint32_t _GetChannelStatus(void *arglist);

#endif /* _CARDSTATUS_H_ */
