// $Id: ImageAdmin.h 10072 2011-01-10 10:56:44Z bk $
/*
 * Copyright 2013 Napatech A/S. All Rights Reserved.
 * 
 *   The source code contained or described herein and all documents
 *   related to the source code ("Material") are owned by Napatech
 *   A/S or its suppliers or licensors.  Title to the Material
 *   remains with Napatech Inc. or its suppliers and licensors. The
 *   software is licensed under the Napatech A/S SCLA License.
 * 
 *   Unless otherwise agreed by Napatech A/S in writing, you may
 *   not remove or alter this notice or any other notice embedded
 *   in Materials by Napatech A/S or Napatech's suppliers or
 *   licensors in any way.
 */

/**
 * @file
 * ImageAdmin.c header file
 */

#ifndef _IMAGEADMIN_H_
#define _IMAGEADMIN_H_

#ifdef WIN32
#include <stdio.h>
#endif

enum {
  UPDATE_IMAGE_TYPE_FILE, 
  UPDATE_IMAGE_TYPE_MEMORY
};

uint32_t UpdateImage (uint32_t card, const char *filename, char *initials, char *option, char type, uint8_t *buffer, uint32_t length);
uint32_t _UpdateImage (void *);

uint32_t ChangePriImage (uint32_t);
uint32_t _ChangePriImage (void);

int DisplayFpgaStatus(handle_t cardHandle, FILE *stream);

#endif



