// $Id: NTCI_cardstatus.h 16051 2011-11-30 12:20:27Z ps $
/*
 * Copyright 2013 Napatech A/S. All Rights Reserved.
 * 
 *   The source code contained or described herein and all documents
 *   related to the source code ("Material") are owned by Napatech
 *   A/S or its suppliers or licensors.  Title to the Material
 *   remains with Napatech Inc. or its suppliers and licensors. The
 *   software is licensed under the Napatech A/S SCLA License.
 * 
 *   Unless otherwise agreed by Napatech A/S in writing, you may
 *   not remove or alter this notice or any other notice embedded
 *   in Materials by Napatech A/S or Napatech's suppliers or
 *   licensors in any way.
 */

/**
 * @file
 * C functions to access the driver interface Card Status.
 */

#ifndef __NTCI_CARDSTATUS_H__
#define __NTCI_CARDSTATUS_H__

#include "NTCommonInterface.h"

NTCOMMONLIB uint32_t NTCOMMONCALL NTCI_GetChannelStatus(IN  handle_t      hCard,
                                                        IN  uint32_t      ChannelBitmask,
                                                        IN  StructureID   structId,
                                                        OUT void *        pStatus);

NTCOMMONLIB uint32_t NTCOMMONCALL NTCI_GetChannelsLinkStatus(IN handle_t      hCard,
                                                             IN  StructureID  structId,
                                                             OUT void *       pStatus);

#endif // __NTCI_CARDSTATUS_H__
